<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.pet.PetProfileActivity">

    <include
        android:id="@+id/pet_profile_top_bar"
        layout="@layout/layout_top_bar" />

    <androidx.core.widget.NestedScrollView
        android:id="@+id/sv_pet_profile"
        style="@style/my_ScrollView_style">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/ll_pet_profile_head_layout"
            style="@style/root_layout_style"
            android:orientation="vertical"
            android:paddingHorizontal="@dimen/dp_20">

            <include
                android:id="@+id/il_pet_profile_head_layout"
                layout="@layout/layout_upload_head_edit"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_28" />

            <include
                android:id="@+id/il_pet_profile_name_layout"
                layout="@layout/layout_input_edit_view"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_66"
                android:layout_marginTop="@dimen/dp_32" />

            <include
                android:id="@+id/il_pet_profile_type"
                layout="@layout/layout_input_edit_view"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_66"
                android:layout_marginTop="@dimen/dp_12" />

            <include
                android:id="@+id/il_pet_profile_breed"
                layout="@layout/layout_input_edit_view"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_66"
                android:layout_marginTop="@dimen/dp_12"
                android:visibility="gone" />

            <include
                android:id="@+id/il_pet_profile_birthday"
                layout="@layout/layout_input_edit_view"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_66"
                android:layout_marginTop="@dimen/dp_12" />

            <include
                android:id="@+id/il_pet_profile_sex"
                layout="@layout/layout_input_edit_view"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_66"
                android:layout_marginTop="@dimen/dp_12" />

            <include
                android:id="@+id/il_pet_profile_weight"
                layout="@layout/layout_input_edit_view"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_66"
                android:layout_marginTop="@dimen/dp_12" />

            <include
                android:id="@+id/il_pet_profile_height"
                layout="@layout/layout_input_edit_view"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_66"
                android:layout_marginTop="@dimen/dp_12" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_marginTop="@dimen/dp_12"
                android:text="@string/acccount_label"
                android:textColor="@color/block_color2"
                android:textSize="@dimen/textSize14"
                android:visibility="gone"
                app:typeface="@string/roboto_regular_font" />

            <RelativeLayout
                android:id="@+id/rl_pet_profile_labels"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_4"
                android:background="@drawable/shape6_gray_border_white_bg"
                android:gravity="center_vertical"
                android:minHeight="@dimen/dp_40"
                android:paddingHorizontal="@dimen/dp_16"
                android:paddingVertical="@dimen/dp_8"
                android:visibility="gone">

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_pet_profile_label_title"
                    style="@style/my_TextView_style_v2"
                    android:text="@string/txt_select"
                    android:textColor="@color/block_color2"
                    android:textSize="@dimen/textSize14"
                    app:typeface="@string/roboto_regular_font" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignBottom="@id/tv_pet_profile_label_title"
                    android:layout_alignParentEnd="true"
                    android:layout_marginEnd="@dimen/dp_8"
                    android:src="@drawable/icon_drop_down_svg" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_pet_profile_label"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/tv_pet_profile_label_title"
                    android:layout_marginTop="@dimen/dp_4"
                    android:nestedScrollingEnabled="false" />
            </RelativeLayout>

            <com.abbidot.tracker.widget.TypefaceButton
                android:id="@+id/btn_pet_profile_save"
                style="@style/my_match_RoundRect_Button_style"
                android:text="@string/acccount_btn_save"
                app:qmui_radius="@dimen/dp_56"
                app:typeface="@string/roboto_bold_font" />
        </androidx.appcompat.widget.LinearLayoutCompat>

    </androidx.core.widget.NestedScrollView>
</androidx.appcompat.widget.LinearLayoutCompat>